### org.jfree.layouting.input.style.parser.stylehandler.positioning

# Class BoxOffsetReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.positioning.BoxOffsetReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class BoxOffsetReadHandler`
`extends AbstractWidthReadHandler`

Handles the 'top', 'left', 'bottom', 'right' properties, which are needed for absolutly positioned content.

Author:
  Thomas Morgner

  ## Constructor Summary

  `BoxOffsetReadHandler()`

  ## Method Summary

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

  `createValue`, `isAllowAuto`, `isAllowPercentages`, `parseWidth`

## Constructor Details

### BoxOffsetReadHandler

    public BoxOffsetReadHandler()